Package com.logicaldoc.core.security.user

# Class UserGroup

java.lang.Object
com.logicaldoc.core.security.user.UserGroup

All Implemented Interfaces:
  `Serializable`

public class UserGroup extends Object implements Serializable
Simple bean to map a relationship between a user and it's groups

Since:
  7.7.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UserGroup()`
`UserGroup(long groupId)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`long`
`getGroupId()`
`int`
`hashCode()`
`void`
`setGroupId(long groupId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserGroup

public UserGroup()

### UserGroup

public UserGroup(long groupId)

## Method Details

### getGroupId

public long getGroupId()

### setGroupId

public void setGroupId(long groupId)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`